# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Filter/signatures.pm) perl(Log/Log4perl.pm) perl(Moo.pm) perl(Pod/Markdown.pm) perl(Test/More.pm) perl(WWW/Mechanize/Chrome.pm)
# END SourceDeps(oneline)
%define module_name WWW-Google-Login
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: log a mechanize object into Google
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CO/CORION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module automates logging in a (Javascript capable) WWW::Mechanize
object into Google. This is useful for scraping information from Google
applications.

Currently, this module only works in conjunction with the WWW::Mechanize::Chrome manpage,
but ideally it will evolve to not requiring Javascript or Chrome at all.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes README.mkdn
%perl_vendor_privlib/W*

%changelog
* Thu Jan 31 2019 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

